@mixin app-auto-assignment-theme($theme) {
	$primary: map-get($theme, primary);
	$warn: map-get($theme, warn);
	$accent: map-get($theme, accent);
	app-auto-assignment {
		width: 100%;
		padding: 5px;
		overflow-x: hidden;
	}
	/* DivTable.com */
	.divTable{
		display: table;
		width: 100%;
	}
	.divTableRow {
		display: table-row;
	}
	.divTableHeading {
		background-color: #EEE;
		display: table-header-group;
	}
	.divTableCell, .divTableHead {
		border: 1px solid #1C6EA4;
		display: table-cell;
		padding: 3px 10px;
	}
	.divTableHeading {
		background-color: #EEE;
		display: table-header-group;
		font-weight: bold;
	}
	.divTableFoot {
		background-color: #EEE;
		display: table-footer-group;
		font-weight: bold;
	}
	.divTableBody {
		display: table-row-group;
	}
	.reviewer {
		background-color: #e6fffe;
	}
	.cases {
		background-color: #fffef0;
		vertical-align: middle;
	}
	.edit {
		vertical-align: middle;
		background-color: rgb(255, 244, 240);
	}
	.auto-assignment {
		margin-top: 25px !important;
		display: flex;
		flex-direction: column;
		background-color: mat-color($primary, 50);
		input {
			text-transform: uppercase;
        }
        .auto-assignment-main-card {
			display: flex;
			flex-direction: column;
			margin-top: 7px;
			padding: 0px;
			background-color: mat-color($primary, 50);
			.mat-card-content {
				.mat-tab-label {
					background: #BDBDBD;
					border-radius: 10px 10px 0px 0px;
					margin-right: 10px;
					height: 30px !important;
					padding: 10px;
          			font-size: 1.1em;
          			margin-top: 10px;
				}
				.mat-tab-label-active {
					opacity: 1 !important;
					background-color: mat-color($primary);
					color: white;
				}
				.mat-tab-label-content {
					padding: 0!important;
					width: 100%;
				}
				.auto-assignment-small-box {
					display: flex;
					align-items: center;
					justify-content: center;
					background: white;
					.table-filters-header {
						width: 100%;
						background-color: white;
						border: 1px solid #eaf0fb;
						.table-top-icons {
							mat-icon {
								padding: 5px;
							}
							mat-icon:hover {
								cursor: pointer;
								color: mat-color($warn);
							}
						}
					}
					.auto-assignment-container {
						width: 100%;
						margin-right: 10px;
						margin-left: 10px;
						form {
							padding-left: 10px;
							padding-right: 10px;
							padding-bottom: 10px;
						}
					}
				}
			}
			.mat-form-field-flex>.mat-form-field-infix {
				padding: 0.4em 0px !important;
				height: 15px;
			}
			.mat-form-field-label-wrapper {
				top: -1.5em!important;
			}
			.mat-form-field-wrapper {
				padding-bottom: .9em;
			}
			.mat-form-field-appearance-outline.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label {
				transform: translateY(-1.1em) scale(.75);
				width: 133.33333%;
			}
			mat-form-field {
				vertical-align: middle;
			}
			mat-card {
				padding: 5px;
				border-radius: 0;
			}	
		}
		.content-main {
			display: flex;
			flex-flow: column wrap;
			margin-bottom: 5px!important;
		  	.content-sub 
			{
				display: flex;
				align-items: center;
				.content-sub-button-parent-left {
					order: 1;
					flex: 1 1 auto;
					justify-content: flex-start;
				}
				.content-sub-button-parent-right {
					order: 2;
					flex: 1 1 auto;
					justify-content: flex-end;
					text-align: right;
				}
         	}     
		}
		.auto-assignment-banner {
			display: flex;
			background-color: white;
			border: 2px solid mat-color($primary, 100);
			border-radius: 5px;
			padding: 8px;
			margin-top: 0px;
			font-size: 0.9em;
			align-items: flex-start;
			width: 100%;
			span {
			  display: flex;
			  flex: auto;
			  margin-right: 15px;
			  align-items: flex-end;
			  align-self: center;
			  flex-wrap: wrap;
			}
			.banner-row {
			  width: 100%;
			}		
		}
		.align-center {
			align-self: center;
			margin-bottom: 10px;
		}
	}
}
